/*--------------------------------------------------------*/
/**
 *	@file build_options_PC.h
 *
 *	@author dsl@wachendorff.de (Dirk Sterzel)
 *
 *	@see build_options.h
 *
 *	This file contains constants that are platform dependent.
 *	It will be included in the build_options.h if the make
 *	target is set to Linux PC
 */
/*--------------------------------------------------------*/

#ifndef BUILD_OPTIONS_PC_H_
#define BUILD_OPTIONS_PC_H_

#include "common/include/definitions.h"	// contains the enum definitions

const int TARGET = WE::TARGET_PC_LINUX;	//!< Target to build the WEAPI for (a Linux PC here).

const bool TARGET_IS_OPUS = false;

const int CAN_HARDWARE = WE::CAN_PEAK_LINUX;	//!< What CAN hardware is used on the target.

const int CAN_INTERFACE = WE::CANIF_SOCKETCAN;	//!< The CAN interface used. Here it is socketCAN.

const unsigned int NUMBER_OF_CAN_PORTS = 2;	//!< Number of CAN ports available on the target.

#endif /* BUILD_OPTIONS_PC_H_ */
