/**
 *	@file we_vertex_color_material.h
 *
 *	@author preths@topcon.com
 *	@author Patrick Reths
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2020
 *
 */

#ifndef WE_VERTEX_COLOR_MATERIAL_H
#define WE_VERTEX_COLOR_MATERIAL_H

#include <QSGVertexColorMaterial>

#include "we_dirtyflag_material.h"

namespace WE
{

/**
 *
 * This class can be used to render vertex colored geometry
 * @see QSGVertexColorMaterial
 *
 */
class WEVertexColorMaterial : public WEDirtyFlagMaterial, public QSGVertexColorMaterial
{

public:

	WEVertexColorMaterial() = default;
	virtual ~WEVertexColorMaterial() = default;

	void setFlag(Flags p_flags, bool p_on=true);

	bool isFlag(Flag p_flag)
	{
		return (false != (flags() & p_flag));
	}
};
} //End of namespace WE

#endif // WE_VERTEX_COLOR_MATERIAL_H
