/**
 *	@file we_gif_texture_cache_key.h
 *
 *	@author preths@topcon.com
 *	@author Patrick Reths
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2020
 *
 */

#ifndef WE_GIF_CACHE_H
#define WE_GIF_CACHE_H

#include <string>
#include <QSize>

namespace WE
{

struct WEGIFTextureCacheKey
{
	std::string filePath;
	QSize size;

	WEGIFTextureCacheKey(const std::string& p_filePath="", const QSize& p_size=QSize())
	:filePath(p_filePath), size(p_size)
	{
		//nothing more to do
	}

	bool operator<(const WEGIFTextureCacheKey& p_o) const
	{
		if (size.width() != p_o.size.width())
		{
			return size.width() < p_o.size.width();
		}
		else if (size.height() != p_o.size.height())
		{
			return size.height() < p_o.size.height();
		}
		return filePath < p_o.filePath;
	}
};
} //End of namespace WE
#endif // WE_GIF_CACHE_H
