/**
 *	@file we_ellipse_widget.h
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2009
 */


#ifndef WE_ELLIPSE_WIDGET_H_
#define WE_ELLIPSE_WIDGET_H_

#include "we_widget.h"

namespace WE
{

class WEEllipseWidget : public WEWidget
{
	Q_OBJECT
	Q_PROPERTY(int ellipseType READ getEllipseType)

public:

	// Missing: DOCUMENTATION, function headers, DOCUMENTATION, comments, DOCUMENTATION ... and documentation (but tolerated since 2012)
	// Also tolerated since 2012: We didn't want to implement in headers anymore.

	explicit WEEllipseWidget(WEWidget *p_parent, void * p_controller = nullptr);
	virtual ~WEEllipseWidget();
	void paint(WEPainter* p_painter) override;

	void setEllipseType(WEEllipseType p_type)
	{
		this->type = p_type;
	}

	WEEllipseType getEllipseType(void) const
	{
		return this->type;
	}

	void setAngles(int p_start, int p_end)
	{
		this->setStartAngle(p_start);
		this->setEndAngle(p_end);
	}

private:

	WEEllipseType type;
};
}  // namespace WE

#endif /* WE_ELLIPSE_WIDGET_H_ */
