/**
 *	@file we_polygon_widget.h
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2009
 */


#ifndef WE_POLYGON_WIDGET_H_
#define WE_POLYGON_WIDGET_H_

#include <vector>

#include "../../include/we_datatypes_gui.h"
#include "we_widget.h"

namespace WE {

class WEPolygonWidget : public WEWidget
{
	Q_OBJECT
	Q_PROPERTY(int type READ getPolygonType)

public:

	// Missing: DOCUMENTATION, function headers, DOCUMENTATION, comments, DOCUMENTATION ... and documentation ... but tolerated since 2012
	// Also tolerated since 2012: We didn't want to implement in headers anymore.

	explicit WEPolygonWidget(WEWidget *p_parent, void * p_controller = nullptr);
	virtual ~WEPolygonWidget();
	void paint(WEPainter* p_painter) override;
	void addPoint(WEPoint p_point);
	void addAndReplacePoints(const std::vector<WEPoint> & p_points);
	unsigned int getNumberOfPoints(void) const
	{
		return this->points.size();
	}
	void setPolygonType(WEPolygonType p_type)
	{
		this->type = p_type;
	}
	WEPolygonType getPolygonType(void) const
	{
		return this->type;
	}

private:
	WEPolygonType type;
	std::vector<WEPoint> points;
};
}  // namespace WE

#endif /* WE_POLYGON_WIDGET_H_ */
