/**
 *	@file can_netlink.h
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2011
 */


#ifndef CAN_LIBSOCKETCAN_H_
#define CAN_LIBSOCKETCAN_H_

#include "../include/wecan.h"

namespace WE {

class CANLibsocketcan : public WECAN
{
public:
	CANLibsocketcan();
	~CANLibsocketcan() = default;
	virtual int setBaudrate(unsigned int p_port, unsigned int p_baudrate) override;
	virtual int getBaudrate(unsigned int p_port) const override;
	static int isBaudrateSet(const std::string & p_device, unsigned int p_baudrateToSet, bool& p_isAlreadySet);
private:
	std::array<bool, 4> portAvailable{false, false, false, false}; //!< flags to indicate which CAN bort is available
	std::array<bool, 4> baudrateSetOnceForPort{false, false, false, false};	//!< flags to indicate if a baudrate was once set for a port
};
}  // namespace WE


#endif /* CAN_LIBSOCKETCAN_H_ */
