/*
 * windows_can_interface_no_can.h
 *
 *  Created on: 07.02.2013
 *      Author: dsl
 */

#ifndef WINDOWS_CAN_INTERFACE_NO_CAN_H_
#define WINDOWS_CAN_INTERFACE_NO_CAN_H_

#include "../include/we_can_raw.h"

namespace WE {

class CANWindowsNoCAN : public WECANRaw
{
public:
	CANWindowsNoCAN() {}
	~CANWindowsNoCAN() {}


	int initialize(unsigned int /*portNo*/, unsigned int /*baudrateToSet*/, const char * /*interfaceName*/) override
	{
		return WE_SUCCESS;
	}

	int initialize(unsigned int /*p_portNo*/) override
	{
		return WE_SUCCESS;
	}


	int send(WECANMessage * /*messageToSend*/) override
	{
		return WE_SUCCESS;
	}


	int receive(WECANMessage * /*p_messageToStoreReceivedDataTo*/) override
	{
		return WE_READ_ERROR;
	}


	void setPolling(bool /*polling*/, unsigned int /*timeout*/) override
	{
		//nop
	}

	int addIDFilter(unsigned int /*ID*/, unsigned int /*mask*/) override
	{
		return WE_SUCCESS;
	}


	int getReadEndPointID() const override
	{
		return -1;
	}

	int getWriteEndPointID() const override
	{
		return -1;
	}

	bool isConnected() const override
	{
		return true;
	}

	int reconnect() override
	{
		return WE_SUCCESS;
	}

};

}  // namespace WE


#endif /* WINDOWS_CAN_INTERFACE_NO_CAN_H_ */
