/**
 *	@file we_socket_factory.h
 *
 *	@author mka@wachendorff.de
 *	@author Markus Kalin
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2012
 */

#ifndef WE_SOCKET_FACTORY_H_
#define WE_SOCKET_FACTORY_H_

#include <memory>
#include "we_socket.h"

namespace WE
{

class WESocketFactory
{
public:
	WESocketFactory() = delete;
	virtual ~WESocketFactory() = delete;
	WESocketFactory(const WESocketFactory & p_copy) = delete;
	WESocketFactory& operator=(const WESocketFactory& p_copy) = delete;

	/**
	 *	@fn static WESocket* createSocketClass()
	 *
	 *	@brief creates instance of the adapter
	 *
	 *	@param p_adapter_index > 0 and < WE_MAX_ETHERNET_ADAPTER
	 *
	 *	@returns -1 when device is not available
	 *	@returns 0 when ok
	 */
	static std::unique_ptr<WESocket> createSocketClass();
};
}
#endif /* WE_SOCKET_FACTORY_H_ */
