#ifndef WE_COPY_H_
#define WE_COPY_H_

#include "we_file_handling_interface.h"

namespace WE
{

class WECopy
{
public:

	// This class could benefit from some DOCUMENTATION, function headers, DOCUMENTATION, comments, DOCUMENTATION ... and documentation
	// Ask the author if you should not consider method names self-explanatory.
	// Seems this class is exclusively used by "WEFileHandling"

	WECopy();
	virtual ~WECopy();

	/**
	 * Deleted copy constructor. If we need to copy this class please implement this.
	 */
	WECopy(const WECopy &) = delete;

	/**
	 * Deleted assignment operator. If we need to copy this class please implement this.
	 */
	WECopy & operator=(const WECopy &) = delete;

	void init();
	void reset();

	void setOffsetAndTotal(unsigned int p_startBytes, unsigned int p_totalBytes);
	long getStartBytes() const
	{
		return this->startBytes;
	}

	int copy(const std::string & p_source, const std::string & p_destination);

	void setInterface(WEFileHandlingInterface* p_interface);

private:
	/**
	 * Don't get fooled by cppcheck: This function is used in linux implementation
	 * cppcheck-suppress unusedPrivateFunction
	 */
	// cppcheck-suppress unusedPrivateFunction
	static ssize_t we_write(int p_file, const void *p_buffer, size_t p_count);

	WEFileHandlingInterface* theInterface;
	unsigned int startBytes;
	unsigned int totalBytes;
};
}

#endif
