/**
 *	@file we_emergency_handler.h
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2011
 */


#ifndef WE_EMERGENCY_HANDLER_H_
#define WE_EMERGENCY_HANDLER_H_

namespace WE
{

struct WECANMessage;

class WEEmergencyHandler : public WECANopenMessageHandler
{
public:

	// This class could benefit from some DOCUMENTATION, function headers, DOCUMENTATION, comments, DOCUMENTATION ... and documentation
	// Ask the author if you should not consider method names self-explanatory.

	WEEmergencyHandler();
	virtual ~WEEmergencyHandler() = default;
	virtual int handleMessage(WECANMessage * p_msg) override;
	int sendEmergencyMessage(unsigned char p_errorMSB, unsigned char p_errorLSB);
	int sendEmergencyMessage(unsigned short p_errorCode);
	int init(void);
	int updateErrorRegister(unsigned char p_newError, bool p_new);
	bool getConsumerEnabled() const
	{
		return this->consumerEnabled;
	}

	bool getProducerEnabled() const
	{
		return this->producerEnabled;
	}

	void setConsumerEnabled(bool p_consumerEnabled)
	{
		this->consumerEnabled = p_consumerEnabled;
	}

	void setProducerEnabled(bool p_producerEnabled)
	{
		this->producerEnabled = p_producerEnabled;
	}

private:
	const int * emcyCOBID;
	bool producerEnabled;
	bool consumerEnabled;
};
}
  // namespace WE

#endif /* WE_EMERGENCY_HANDLER_H_ */
