#ifndef BUILD_OPTIONS_A8_H_
#define BUILD_OPTIONS_A8_H_


/*--------------------------------------------------------*/
/**
 *	@file build_options_egs.h
 *
 *	@author dsl@wachendorff.de (Dirk Sterzel)
 *
 *	@see build_options.h
 *
 *	This file contains constants that are platform dependent.
 *	It will be included in the build_options.h if the platform
 *	config is set to egspro or egscore
 */
/*--------------------------------------------------------*/

#include "common/include/definitions.h"	// contains the enum definitions

const int TARGET = WE::TARGET_EGS;	//!< Target to build the WEAPI for (EGSxxx platform).

const bool TARGET_IS_OPUS = true;

const int CAN_HARDWARE = WE::CAN_FLEXCAN;	//!< What CAN hardware is used on the target.

const int CAN_INTERFACE = WE::CANIF_SOCKETCAN;	//!< The CAN interface used. Here it is socketCAN.

const unsigned int NUMBER_OF_CAN_PORTS = 2;	//!< Number of CAN ports available on the target.

#endif /* BUILD_OPTIONS_A8_H_ */
