/**
 *	@file we_dirtyflag_material.h
 *
 *	@author preths@topcon.com
 *	@author Patrick Reths
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2020
 *
 */

#ifndef WE_DIRTYFLAG_MATERIAL_H
#define WE_DIRTYFLAG_MATERIAL_H

namespace WE
{

/**
 *
 * This class can be inherited by other material classes to use the dirty flag functionality
 *
 */
class WEDirtyFlagMaterial
{

public:

	WEDirtyFlagMaterial() = default;
	~WEDirtyFlagMaterial() = default;

	void resetDirty()
	{
		this->dirty = false;
	}

	bool isDirty() const
	{
		return dirty;
	}

protected:

	bool dirty{true};
};
} //End of namespace WE

#endif // WE_DIRTYFLAG_MATERIAL_H
