/**
 *	@file we_flat_color_material.h
 *
 *	@author preths@topcon.com
 *	@author Patrick Reths
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2020
 *
 */

#ifndef WE_FLAT_COLOR_MATERIAL_H
#define WE_FLAT_COLOR_MATERIAL_H

#include <QSGFlatColorMaterial>

#include "we_dirtyflag_material.h"
#include "../../../common/include/we_color.h"

namespace WE
{

/**
 *
 * This class can be used to render solid colored geometry
 * @see QSGFlatColorMaterial
 *
 */
class WEFlatColorMaterial : public WEDirtyFlagMaterial, public QSGFlatColorMaterial
{

public:

	WEFlatColorMaterial();
	~WEFlatColorMaterial() = default;

	void setQColor(const QColor& p_color);
	void setColor(const WEColor& p_color);

	const QColor & getQColor() const
	{
		return QSGFlatColorMaterial::color();
	}

	WEColor getColor() const
	{
		QColor c = QSGFlatColorMaterial::color();
		return WEColor(c.red(), c.green(), c.blue(), c.alpha());
	}
};
} //End of namespace WE

#endif // WE_FLAT_COLOR_MATERIAL_H
