/**
 *	@file we_basic_geometry_node.h
 *
 *	@author preths@topcon.com
 *	@author Patrick Reths
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2020
 *
 */

#ifndef WE_BASIC_GEOMETRY_NODE_H
#define WE_BASIC_GEOMETRY_NODE_H

#include "we_base_node.h"

#include <QSGGeometryNode>

namespace WE
{
class WEDirtyFlagMaterial;

/**
 *
 *	This class can be used to draw geometry with the Qt quick scene graph.
 *
 */
class WEBasicGeometryNode : public QSGGeometryNode, public WEBaseNode
{

public:

	void setMaterial(QSGMaterial * p_material);
	void setDirtyFlagMaterial(WEDirtyFlagMaterial * p_dirtyFlagMaterial, QSGMaterial * p_material);

	QSGMaterial * getMaterial() const
	{
		return QSGGeometryNode::material();
	}

	WEDirtyFlagMaterial * getDirtyFlagMaterial() const
	{
		return this->dirtyFlagMaterial;
	}

	bool isSubtreeBlocked() const override
	{
		return this->isNodeHidden();
	}


protected:

	WEBasicGeometryNode();
	virtual ~WEBasicGeometryNode() = default;

private:

	WEDirtyFlagMaterial * dirtyFlagMaterial{nullptr};
};
} //End of namespace WE
#endif // WE_BASIC_GEOMETRY_NODE_H
