/**
 *	@file can_ip_link_console.h
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2016
 *
 *	@brief Class for setting CAN baudrate on linux pc
 *
 */

#ifndef SRC_HARDWARE_CAN_LINUX_PC_CAN_IP_LINK_CONSOLE_H_
#define SRC_HARDWARE_CAN_LINUX_PC_CAN_IP_LINK_CONSOLE_H_


#include "../include/wecan.h"

namespace WE {

/**
 * This class uses "ip link" to set the CAN baudrate on Linux.
 * ip link commands are issued via system()
 */
class CANIPLinkConsole : public WECAN
{
public:
	CANIPLinkConsole();
	~CANIPLinkConsole();
	virtual int setBaudrate(unsigned int port, unsigned int baudrate) override;
	virtual int getBaudrate(unsigned int port) const override;
private:
	static unsigned int lastSetBaudrates[2];
};

}  // namespace WE


#endif /* SRC_HARDWARE_CAN_LINUX_PC_CAN_IP_LINK_CONSOLE_H_ */
