/**
 *	@file we_datatypes_can.h
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2009
 */

#ifndef WE_DATATYPES_CAN_H_
#define WE_DATATYPES_CAN_H_

namespace WE
{

/**
 *	@enum TypeOfCANID
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@brief Enum defining long and short CAN IDs
 *
 *	@namespace WE
 */
typedef enum
{
	CAN_ID_SHORT,	//!< 11bit short CAN ID
	CAN_ID_LONG	//!< 29bit long CAN ID
}TypeOfCANID;

} // namespace WE

#endif /* WE_DATATYPES_CAN_H_ */
