/*
 * windows_can_interface_kvaser.h
 *
 *  Created on: 22.01.2013
 *      Author: dsl
 */

#ifndef WINDOWS_CAN_INTERFACE_KVASER_H_
#define WINDOWS_CAN_INTERFACE_KVASER_H_

#include "../include/we_can_raw.h"

namespace WE {

class WECANWindowsKvaser : public WECANRaw
{
public:
	WECANWindowsKvaser();
	~WECANWindowsKvaser();

	int initialize(unsigned int portNo, unsigned int baudrateToSet, const char * interfaceName) override;
	int initialize(unsigned int p_portNo) override;
	int send(WECANMessage * messageToSend) override;
	int receive(WECANMessage * p_messageToStoreReceivedDataTo) override;
	void setPolling(bool polling, unsigned int timeout) override;
	int addIDFilter(unsigned int ID, unsigned int mask) override;

	virtual int getReadEndPointID() const override;
	virtual int getWriteEndPointID() const override;
	virtual bool isConnected() const override;
	virtual int reconnect() override;
private:
	int endPointID;
	bool connected;
};

}  // namespace WE


#endif /* WINDOWS_CAN_INTERFACE_KVASER_H_ */
