/**
 *	@file qsoundeffect_handler.h
 *
 *	@author dsterzel@topcon.com
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2016
 *
 *	@brief QSoundEffectHandler
 *
 */

#ifndef SRC_HARDWARE_HARDWARE_DAEMON_EGSPRO_AUDIO_QSOUNDEFFECT_QSOUNDEFFECT_HANDLER_H_
#define SRC_HARDWARE_HARDWARE_DAEMON_EGSPRO_AUDIO_QSOUNDEFFECT_QSOUNDEFFECT_HANDLER_H_

#include <QObject>

class QSoundEffect;

/**
 * QSoundEffectHandler is a small class that is neccessary because we need
 * a slot that can be called from another thread to start playback
 * of beeper emulation.
 */
class QSoundEffectHandler : public QObject
{
	Q_OBJECT
public:
	explicit QSoundEffectHandler(QSoundEffect * p_sound);
	virtual ~QSoundEffectHandler();

public slots:
	void setVolume(int p_volume);

private:
	QSoundEffect * sound;
};


#endif /* SRC_HARDWARE_HARDWARE_DAEMON_EGSPRO_AUDIO_QSOUNDEFFECT_QSOUNDEFFECT_HANDLER_H_ */
