/*
 * event_if.c
 *
 * Generic netlink event interface helper functions
 *
 *  Created on: Apr 26, 2013
 *      Author: Thomas Pinske <tpe@wachendorff.de>
 *
 *  ( C ) Copyright 2013 Wachendorff Elektronik GmbH & Co KG, Geisenheim
 */

#ifndef EVENT_IF_H_
#define EVENT_IF_H_

#include <linux/netlink.h>
#include <linux/genetlink.h>


#ifdef __cplusplus
    extern "C" {
#endif

    struct Genl
    {
    	struct nlmsghdr nl_hdr;
    	struct genlmsghdr genl_hdr;
    	char usr_data[256];
    };

extern int event_if_connect(const char *p_familyName, int *p_familyID, char *p_mcastName, unsigned int *p_mcastID);
extern void event_if_disconnect(int p_sckt);
extern int event_if_waitevent(int p_sckt, int p_familyID, unsigned char p_event, unsigned int p_timeoutUS, int p_numAttr, ...);

int attr_count(struct Genl *p_msg);
struct nlattr *attr_get(struct Genl *p_msg, int p_idx);


#ifdef __cplusplus
}
#endif

#endif /* EVENT_IF_H_ */
