/**
 *	@file Hardware.h
 *
 *	@author dsterzel@topcon.com
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2016
 *
 *	@brief This header file exposes the CreateHardwareInterface method.
 *		Note that this file does NOT need to be included in the application.
 *		Simply declare the CreateHardwareInterface() function as extern like this:
 *			extern THardwareInterface *CreateHardwareInterface(); //!< declare external function
 *		And include the abstract interface from THardwareInterface.h
 *		Now the application can use the CreateHardwareInterface() function
 *		and all interface functions of THHardwareInterface.
 *		It only needs to link against the shared library without the need to include implementation specific header files.
 *
 */

#include "we_hardware_interface.h"

extern "C" Q_DECL_EXPORT THardwareInterface *CreateHardwareInterface()
{
	return new WEHardwareInterface();
}
