/*
 * we_debug_defines.h
 *
 *  Created on: 24.02.2012
 *      Author: mka
 */

#ifndef WE_DEBUG_DEFINES_H_
#define WE_DEBUG_DEFINES_H_

namespace WE
{
	//check build type switch
	const bool WE_WANT_TO_GET_MORE_INFO	= true;

	//internal buffer used when building the debug message.
	//Means no message longer than 256 bytes without timestamp
	const int WE_DEBUG_BUFFER_SIZE = 256;

	// AXIVION Next Line Generic-LocalScope CWE-Bad-Coding-Practices-1126 : Next variable could be declared more locally but this is the more readable place for it
	const int WE_DEBUG_SILENCE = 0;	//!< no message shall have this category - it's introduced to switch off logging at runtime
	// Levels to be assigned to log messages in code based on their priority:
	const int WE_DEBUG_ERROR	= 1; //shall be used when an system error occurs. Such an condition can harm the system and have to be handled properly.
	const int WE_DEBUG_WARNING	= 2; //shall be used when something might be wrong but will not harm the system.
	const int WE_DEBUG_STATUS	= 3; //shall be used when you need to show a state of an object / application / state machine / etc. For example a draw or special condition like onPress, latched or whatever
	const int WE_DEBUG_TRACE	= 4; //shall be used when you need to track a workflow inside various classes or a complete module
	const int WE_DEBUG_INFO		= 5; //shall be used when you need to show information which is not related to one of the other conditions, like "Hello World!" :)

	//It is not allowed to set the filesize below if someone set the filesize
	// AXIVION Next Line Generic-LocalScope CWE-Bad-Coding-Practices-1126 : Next variable could be declared more locally but this is the more readable place for it
	const int WE_DEBUG_MIN_FILE_SIZE = 512;
}

#endif /* WE_DEBUG_DEFINES_H_ */
